var util = require('util');
var bleno = require('../index');

var BlenoPrimaryService = bleno.PrimaryService;
var BlenoCharacteristic = bleno.Characteristic;
var BlenoDescriptor = bleno.Descriptor;

var DatabaseChangeIncrement = function() {
    DatabaseChangeIncrement.super_.call(this,
                                     { uuid: '2a99',
                                         properties: ['read'],
                                         value: new Buffer('a'),
                                         descriptors:
                                             [new BlenoDescriptor(
                                                  { uuid: '2901',
                                                      value: 'DatabaseChangeIncrement'})]
                                     });
};
util.inherits(DatabaseChangeIncrement, BlenoCharacteristic);

var WeightCharacteristic = function() {
    WeightCharacteristic.super_.call(this,
                                     { uuid: '2a98',
                                         properties: ['read'],
                                         value: new Buffer('185'),
                                         descriptors:
                                             [new BlenoDescriptor(
                                                  { uuid: '2901',
                                                      value: 'Weight'})]
                                     });
};
util.inherits(WeightCharacteristic, BlenoCharacteristic);

var AgeCharacteristic = function() {
    AgeCharacteristic.super_.call(this,
                                  {uuid: '2a80',
                                      properties: ['read'],
                                      value: new Buffer('49'),
                                      descriptors:
                                          [ new BlenoDescriptor(
                                               {uuid: '2901',
                                                   value: 'Age'})]
                                  });
};
util.inherits(AgeCharacteristic, BlenoCharacteristic);

// Not sure about using strings in char.values

var GenderCharacteristic = function() {
    GenderCharacteristic.super_.call(this,
                                     { uuid: '2a8c',
                                         properties: ['read'],
                                         value: new Buffer('0'),
                                         descriptors:
                                             [new BlenoDescriptor(
                                                  {uuid: '2901',
                                                      value: 'Gender'})]
                                     });
};
util.inherits(GenderCharacteristic, BlenoCharacteristic);



function UserService() {
    UserService.super_.call(this,
                            {uuid: '181c',
                                characteristics:
                                    [new WeightCharacteristic(),
                                     new AgeCharacteristic(),
                                     new GenderCharacteristic(),
                                     new DatabaseChangeIncrement()]
                            });}
util.inherits(UserService, BlenoPrimaryService);

module.exports =UserService;
