var util = require('util');
var bleno = require('/usr/share/node_modules/bleno/index');

var BlenoPrimaryService = bleno.PrimaryService;
var BlenoCharacteristic = bleno.Characteristic;
var BlenoDescriptor = bleno.Descriptor;

var hardware= {serialNumber:"1234", type:"treadmill"};
var DeviceInformationService = require('./blenoDeviceInformationService');
var deviceInformationService = new DeviceInformationService(hardware.serialNumber);
//var deviceInformationService = new DeviceInformationService();

var WorkoutStatsService =require('./blenoWorkoutStatsService.js')
var workoutStatsService = new WorkoutStatsService();

var UserService =require('./blenoUserService.js')
var userService = new UserService();


console.log('main');


bleno.on('stateChange', function(state) {
  console.log('on -> stateChange: ' + state);
  if (state === 'poweredOn') {
// REPLACE ShortName bleno.startAdvertising('Workout 48:55', ['9dc17002-8855-11e3-979a-78acc0b87777']);

  } else {
    bleno.stopAdvertising();
  }
});

bleno.on('advertisingStart', function(error) {
  console.log('on -> advertisingStart: ' + (error ? 'error ' + error : 'success'));

  if (!error) {

      bleno.setServices([deviceInformationService,workoutStatsService,userService]);
  }
});

bleno.on('advertisingStop', function() {
  console.log('on -> advertisingStop');
});

bleno.on('servicesSet', function() {
  console.log('on -> servicesSet');
});
