var util = require('util');
var bleno = require('/usr/share/node_modules/bleno/index');

var BlenoPrimaryService = bleno.PrimaryService;
var BlenoCharacteristic = bleno.Characteristic;
var BlenoDescriptor = bleno.Descriptor;



var ManufacturererNameCharacteristic = function() {
  ManufacturererNameCharacteristic.super_.call(this, {
   uuid: '2A29',
   properties: ['read'],
   value: new Buffer('TrueFitness '),
   descriptors: [
    new BlenoDescriptor({
    uuid: '2901',
    value: 'Manufacturer Name'
        })
   ]
  });
};
util.inherits(ManufacturererNameCharacteristic, BlenoCharacteristic);

var ModelNumberCharacteristic = function() {
  ModelNumberCharacteristic.super_.call(this, {
   uuid: '2A24',
   properties: ['read'],
// REPLACE ModelNumberCharacteristic value: new Buffer('REPLACE: XCS600 '),
   descriptors: [
    new BlenoDescriptor({
    uuid: '2901',
    value: 'Model Number String'
        })
   ]
  });
};
util.inherits(ModelNumberCharacteristic, BlenoCharacteristic);

var SerialNumberCharacteristic = function() {
  SerialNumberCharacteristic.super_.call(this, {
    uuid: '2a25',
    properties: ['read'],
// REPLACE SerialNumberCharacteristic value: new Buffer("REPLACE: 001-387DEAD "),
    descriptors: [
      new BlenoDescriptor({
        uuid: '2901',
        value: 'Veracity serial number'
      })
    ]
  });
}

util.inherits(SerialNumberCharacteristic, BlenoCharacteristic);

var HardwareRevisionCharacteristic = function() {
  HardwareRevisionCharacteristic.super_.call(this, {
    uuid: '2a27',
    properties: ['read'],
// REPLACE HardwareRevisionCharacteristic  value: new Buffer("REPLACE: FEED "),
    descriptors: [
      new BlenoDescriptor({
        uuid: '2901',
        value: 'hardware version'
      })
    ]
  });
}

util.inherits(HardwareRevisionCharacteristic, BlenoCharacteristic);

var SoftwareRevisionCharacteristic = function() {
  SoftwareRevisionCharacteristic.super_.call(this, {
    uuid: '2a28',
    properties: ['read'],
// REPLACE SoftwareRevisionCharacteristic  value: new Buffer("REPLACE: 1.4.400 "),
    descriptors: [
      new BlenoDescriptor({
        uuid: '2901',
        value: 'software revision'
      })
    ]
  });
}

util.inherits(SoftwareRevisionCharacteristic, BlenoCharacteristic);

function DeviceInformationService() {
  DeviceInformationService.super_.call(this, {
    uuid: '180a',
    characteristics: [
      new ManufacturererNameCharacteristic,
      new ModelNumberCharacteristic,
      new SerialNumberCharacteristic,
      new HardwareRevisionCharacteristic,
      new SoftwareRevisionCharacteristic
    ]
  });
}

util.inherits(DeviceInformationService, BlenoPrimaryService);

module.exports = DeviceInformationService;
